Package Details: audacium-git 1:2.4.1.r1709.g4b88a97c1-1

Git Clone URL: https://aur.archlinux.org/audacium-git.git (read-only, click to copy)
Package Base: audacium-git
Description: telemetry free version of audacity
Upstream URL: https://github.com/SartoxOnlyGNU/audacium
Keywords: audacity sound
Licenses: GPL2
Conflicts: audacity, audacity-git
Provides: audacity
Submitter: silverhikari
Maintainer: silverhikari
Last Packager: silverhikari
Votes: 6
Popularity: 1.34
First Submitted: 2021-07-06 00:49
Last Updated: 2021-09-05 18:39

Required by (3)

Sources (1)

Latest Comments

silverhikari commented on 2021-08-30 20:13

@gdm413229 after looking through the src files i am stumped, i would recommend sending a issues report to audacium and see if it's a problem on their side.

gdm413229 commented on 2021-08-29 21:33

I do have it installed and I added this package to the dependencies, but Conan keeps giving me errors about this particular dependency. (libjpeg-turbo)

Here's the error from the offending Conan recipe for libjpeg-turbo:

ERROR: libjpeg-turbo/2.0.5: Error in configure() method, line 64
    if self.options.enable12bit or not self._simd_extensions_available():
while calling '_simd_extensions_available', line 49
    return not (self.settings.os == "Emscripten" or macos_silicon)
    ConanException: Invalid setting 'Emscripten' is not a valid 'settings.os' value.
Possible values are ['Android', 'Arduino', 'FreeBSD', 'Linux', 'Macos', 'SunOS', 'Windows', 'WindowsStore', 'iOS', 'tvOS', 'watchOS']
Read "http://docs.conan.io/en/latest/faq/troubleshooting.html#error-invalid-setting"

I desperately need a patch and/or a new PKGBUILD for this to build, and installing libjpeg-turbo doesn't fix the build, no matter what! I'm getting very close to having to wage war just to get this package to build!

silverhikari commented on 2021-08-29 02:08

@gdm413229 can you try installing libjpeg-turbo, and see if that fixes the build

gdm413229 commented on 2021-08-28 18:34

Doesn't build for me. The log information is provided below.

The output from stdout:

==> Making package: audacium-git 1:2.4.1.r1709.g4b88a97c1-1 (Sat 28 Aug 2021 18:37:37 BST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Updating audacium git repo...
Fetching origin
==> Validating source files with md5sums...
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Creating working copy of audacium git repo...
==> Starting pkgver()...
==> Removing existing $pkgdir/ directory...
==> Starting build()...
-- The C compiler identification is GNU 8.4.0
-- The CXX compiler identification is GNU 8.4.0
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: /usr/bin/gcc-8 - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/g++-8 - skipped
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Conan: Adding audacity remote repository (https://artifactory.audacityteam.org/artifactory/api/conan/conan-local) verify ssl (True)
-- The ASM_NASM compiler identification is NASM
-- Found assembler: /usr/bin/nasm
-- Build Info:
--   Host System: Linux-5.13.12-arch1-1
--   Host System Name: Linux
--   Host System Processor: x86_64
--   Host System Version: 5.13.12-arch1-1
--   Host System Architecture: 64-bit
-- 
--   Compiler: /usr/bin/g++-8
--   Compiler Version: 8.4.0
--   Compiler Standard: 17
--   Compiler Standard Required: ON
--   Compiler Extensions: 
-- 
--   Current Commit: 4b88a97c1
-- 
-- Looking for pow in m
-- Looking for pow in m - found
-- Looking for __atomic_fetch_add_4 in atomic
-- Looking for __atomic_fetch_add_4 in atomic - found
-- Performing Test HAVE_MMX
-- Performing Test HAVE_MMX - Success
-- Performing Test HAVE_SSE
-- Performing Test HAVE_SSE - Success
-- Performing Test HAVE_SSE2
-- Performing Test HAVE_SSE2 - Success
-- Looking for 4 include files float.h, ..., string.h
-- Looking for 4 include files float.h, ..., string.h - found
-- Looking for assert.h
-- Looking for assert.h - found
-- Looking for errno.h
-- Looking for errno.h - found
-- Looking for fcntl.h
-- Looking for fcntl.h - found
-- Looking for fenv.h
-- Looking for fenv.h - found
-- Looking for inttypes.h
-- Looking for inttypes.h - found
-- Looking for limits.h
-- Looking for limits.h - found
-- Looking for malloc.h
-- Looking for malloc.h - found
-- Looking for byteswap.h
-- Looking for byteswap.h - found
-- Looking for memory.h
-- Looking for memory.h - found
-- Looking for stdbool.h
-- Looking for stdbool.h - found
-- Looking for stdint.h
-- Looking for stdint.h - found
-- Looking for stdlib.h
-- Looking for stdlib.h - found
-- Looking for string.h
-- Looking for string.h - found
-- Looking for strings.h
-- Looking for strings.h - found
-- Looking for unistd.h
-- Looking for unistd.h - found
-- Looking for xmmintrin.h
-- Looking for xmmintrin.h - found
-- Looking for sys/param.h
-- Looking for sys/param.h - found
-- Looking for sys/stat.h
-- Looking for sys/stat.h - found
-- Looking for sys/types.h
-- Looking for sys/types.h - found
-- Looking for sys/wait.h
-- Looking for sys/wait.h - found
-- Looking for bcopy
-- Looking for bcopy - found
-- Looking for fileno
-- Looking for fileno - found
-- Looking for flock
-- Looking for flock - found
-- Looking for fork
-- Looking for fork - found
-- Looking for fsync
-- Looking for fsync - found
-- Looking for ftruncate
-- Looking for ftruncate - found
-- Looking for getpagesize
-- Looking for getpagesize - found
-- Looking for gettimeofday
-- Looking for gettimeofday - found
-- Looking for gmtime
-- Looking for gmtime - found
-- Looking for gmtime_r
-- Looking for gmtime_r - found
-- Looking for lrint
-- Looking for lrint - found
-- Looking for lrintf
-- Looking for lrintf - found
-- Looking for lround
-- Looking for lround - found
-- Looking for lstat
-- Looking for lstat - found
-- Looking for memcpy
-- Looking for memcpy - found
-- Looking for memmove
-- Looking for memmove - found
-- Looking for mlock
-- Looking for mlock - found
-- Looking for pipe
-- Looking for pipe - found
-- Looking for posix_fadvise
-- Looking for posix_fadvise - found
-- Looking for posix_memalign
-- Looking for posix_memalign - found
-- Looking for strchr
-- Looking for strchr - found
-- Looking for waitpid
-- Looking for waitpid - found
-- Looking for stddef.h
-- Looking for stddef.h - found
-- Check size of int8_t
-- Check size of int8_t - done
-- Check size of int16_t
-- Check size of int16_t - done
-- Check size of uint16_t
-- Check size of uint16_t - done
-- Check size of u_int16_t
-- Check size of u_int16_t - done
-- Check size of int32_t
-- Check size of int32_t - done
-- Check size of uint32_t
-- Check size of uint32_t - done
-- Check size of u_int32_t
-- Check size of u_int32_t - done
-- Check size of int64_t
-- Check size of int64_t - done
-- Check size of short
-- Check size of short - done
-- Check size of unsigned short
-- Check size of unsigned short - done
-- Check size of int
-- Check size of int - done
-- Check size of unsigned int
-- Check size of unsigned int - done
-- Check size of long
-- Check size of long - done
-- Check size of unsigned long
-- Check size of unsigned long - done
-- Check size of long long
-- Check size of long long - done
-- Check size of unsigned long long
-- Check size of unsigned long long - done
-- Check size of float
-- Check size of float - done
-- Check size of double
-- Check size of double - done
-- Check size of long double
-- Check size of long double - done
-- Check size of loff_t
-- Check size of loff_t - done
-- Check size of off_t
-- Check size of off_t - done
-- Check size of off64_t
-- Check size of off64_t - failed
-- Check size of size_t
-- Check size of size_t - done
-- Check size of wchar_t
-- Check size of wchar_t - done
-- Check size of void*
-- Check size of void* - done
-- Found Python3: /usr/bin/python3.9 (found version "3.9.6") found components: Interpreter 
-- Adding Conan dependency ZLIB
-- Adding Conan dependency expat
-- Adding Conan dependency wxWidgets
-- Adding Conan dependency libmp3lame
-- Adding Conan dependency libid3tag
-- Adding Conan dependency libmad
-- Adding Conan dependency ThreadPool
-- Adding Conan dependency libuuid
-- Adding Conan dependency RapidJSON
-- ========== Configuring sndfile ==========
-- Using 'sndfile' local library
-- Check size of ssize_t
-- Check size of ssize_t - done
-- Check size of int64_t
-- Check size of int64_t - done
-- Looking for S_IRGRP
-- Looking for S_IRGRP - found
-- ========== Configuring soxr ==========
-- Using 'soxr' local library
-- Trying SIMD32 C flags:  
-- Performing Test DETECT_SIMD32_C_FLAGS
-- Performing Test DETECT_SIMD32_C_FLAGS - Success
-- Found SIMD32:    
-- ========== Configuring portaudio ==========
-- Using 'portaudio' local library
-- Found ALSA: /usr/lib/libasound.so (found version "1.2.5.1") 
-- ========== Configuring sqlite ==========
-- Using 'sqlite' local library
-- ========== Configuring ffmpeg ==========
-- Checking for modules 'libavcodec >= 51.53;libavformat >= 52.12;libavutil >= 52.66'
--   Found libavcodec , version 58.134.100
--   Found libavformat , version 58.76.100
--   Found libavutil , version 56.70.100
-- Will dynamically load 'ffmpeg' library at runtime
-- Using 'ffmpeg' system includes
-- ========== Configuring nyquist ==========
-- Using 'nyquist' local library
-- ========== Configuring vamp ==========
-- Using 'vamp' local library
-- ========== Configuring ogg ==========
-- Using 'ogg' local library
-- ========== Configuring vorbis ==========
-- Using 'vorbis' local library
-- ========== Configuring flac ==========
-- Using 'flac' local library
-- ========== Configuring lv2 ==========
-- Using 'lv2' local library
-- Checking for module 'x11'
--   Found x11, version 1.7.2
-- Checking for module 'gtk+-2.0'
--   Found gtk+-2.0, version 2.24.33
-- Checking for module 'gtk+-3.0'
--   Found gtk+-3.0, version 3.24.30
-- Checking for module 'gtk+-x11-2.0'
--   Found gtk+-x11-2.0, version 2.24.33
-- Checking for module 'gtk+-x11-3.0'
--   Found gtk+-x11-3.0, version 3.24.30
-- Checking for module 'QtGui >= 4.4.0'
--   Found QtGui , version 4.8.7
-- Checking for module 'Qt5Widgets >= 5.1.0'
--   Found Qt5Widgets , version 5.15.2
-- ========== Configuring midi ==========
-- Using 'midi' local library
-- ========== Configuring portmixer ==========
-- Using 'portmixer' local library
-- ========== Configuring portsmf ==========
-- Using 'portsmf' local library
-- ========== Configuring sbsms ==========
-- Using 'sbsms' local library
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD - Failed
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE  
-- ========== Configuring twolame ==========
-- Using 'twolame' local library
-- Executing Conan:         REQUIRES zlib/1.2.11;expat/2.2.9@audacity/stable;wxwidgets/3.1.3.1-audacity;libmp3lame/3.100;libid3tag/0.15.2b@audacity/stable;libmad/0.15.2b@audacity/stable;threadpool/20140926;libuuid/1.0.3;rapidjson/1.1.0
        GENERATORS cmake_find_package_multi
        BUILD_REQUIRES 

        OPTIONS zlib:shared=True;expat:shared=True;wxwidgets:shared=True;wxwidgets:zlib=zlib;wxwidgets:expat=expat;wxwidgets:compatibility=3.0;wxwidgets:png=libpng;wxwidgets:jpeg=libjpeg-turbo;wxwidgets:tiff=off;wxwidgets:secretstore=False;wxwidgets:opengl=False;wxwidgets:propgrid=False;wxwidgets:ribbon=False;wxwidgets:richtext=False;wxwidgets:stc=False;wxwidgets:webview=False;wxwidgets:help=False;wxwidgets:html_help=False;wxwidgets:fs_inet=False;wxwidgets:protocol=False;libjpeg-turbo:SIMD=False;libid3tag:zlib=conan

-- Configuring packages for Release
-- Conan: checking conan executable
-- Conan: Found program /usr/bin/conan
-- Conan: Version found Conan version 1.39.0
-- Conan executing: /usr/bin/conan install . --build missing --settings build_type=Release --settings compiler=gcc --settings compiler.version=8 --settings compiler.libcxx=libstdc++11
Configuration:
[settings]
arch=x86_64
arch_build=x86_64
build_type=Release
compiler=gcc
compiler.libcxx=libstdc++11
compiler.version=8
os=Linux
os_build=Linux
[options]
[build_requires]
[env]

-- Configuring incomplete, errors occurred!
See also "/home/rae/audacium-git/src/audacium/build/CMakeFiles/CMakeOutput.log".
See also "/home/rae/audacium-git/src/audacium/build/CMakeFiles/CMakeError.log".

The output from stderr:

    audacium ... Skipped
Cloning into 'audacium'...
done.
Updating files:  99% (7809/7819)
Updating files: 100% (7819/7819)
Updating files: 100% (7819/7819), done.
WARN: wxwidgets/3.1.3.1-audacity: requirement expat/2.2.9 overridden by your conanfile to expat/2.2.9@audacity/stable 
ERROR: libjpeg-turbo/2.0.5: Error in configure() method, line 64
    if self.options.enable12bit or not self._simd_extensions_available():
while calling '_simd_extensions_available', line 49
    return not (self.settings.os == "Emscripten" or macos_silicon)
    ConanException: Invalid setting 'Emscripten' is not a valid 'settings.os' value.
Possible values are ['Android', 'Arduino', 'FreeBSD', 'Linux', 'Macos', 'SunOS', 'Windows', 'WindowsStore', 'iOS', 'tvOS', 'watchOS']
Read "http://docs.conan.io/en/latest/faq/troubleshooting.html#error-invalid-setting"
CMake Error at cmake-proxies/cmake-modules/conan.cmake:631 (message):
  Conan install failed='1'
Call Stack (most recent call first):
  cmake-proxies/cmake-modules/AudacityDependencies.cmake:233 (conan_cmake_install)
  cmake-proxies/cmake-modules/AudacityDependencies.cmake:254 (_conan_install)
  CMakeLists.txt:509 (resolve_conan_dependencies)


==> ERROR: A failure occurred in build().
    Aborting...

I do believe Audacity's telemetry system is something that shouldn't exist across the entire spacetime continuum, and the exact Unix timestamp of the introduction of Audacity's current telemetry system shall live in infamy throughout all eternity.

alerque commented on 2021-07-12 12:35

Please review the package guideline. Specifically the pkgver() function here is invalid since the first segment cannot be compared using vercmp. THe Wiki has information on how do do this properly. Also do not include empty declarations, if a value is not used do not include it in the PKGBUILD.

dangerfish commented on 2021-07-11 22:47

I had to include gtk2 in makedepends so that everything would compile without errors.

silverhikari commented on 2021-07-10 18:17

@maid can you try clearing your tmp and buildfiles to see if that fixes it?

maid commented on 2021-07-08 12:01

-- Installing: /tmp/makepkg/audacium-git/pkg/audacium-git/usr/lib/audacity/libz.so.1.2.11 -- Installing: /tmp/makepkg/audacium-git/pkg/audacium-git/usr/lib/audacity/libsuil_x11.so -- Installing: /tmp/makepkg/audacium-git/pkg/audacium-git/usr/lib/audacity/lib-string-utils.so -- Installing: /tmp/makepkg/audacium-git/pkg/audacium-git/usr/lib/audacity/libsuil_x11_in_gtk3.so -- Installing: /tmp/makepkg/audacium-git/pkg/audacium-git/usr/share/applications/audacity.desktop -- Installing: /tmp/makepkg/audacium-git/pkg/audacium-git/usr/share/doc/audacium/LICENSE.txt CMake Error at src/cmake_install.cmake:74 (file): file INSTALL cannot find "/tmp/makepkg/audacium-git/src/audacium/README.txt": No such file or directory. Call Stack (most recent call first): cmake_install.cmake:72 (include)

make: *** [Makefile:83: install] Error 1